> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get service order



## OpenAPI

````yaml GET /service-order/{serviceOrderId}
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /service-order/{serviceOrderId}:
    get:
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - in: path
          name: serviceOrderId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Order with  delivery details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceOrder'
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    ServiceOrder:
      properties:
        deliveries:
          properties:
            delivery:
              properties: {}
              type: object
            pickup:
              properties: {}
              type: object
          required:
            - delivery
            - pickup
          type: object
        payment:
          properties: {}
          type: object
          nullable: true
        services:
          items:
            properties:
              items: {}
              type: {}
              count: {}
              orderItemId: {}
              id: {}
              category: {}
              name: {}
              modifiers: {}
              price: {}
              laundryType: {}
            required:
              - items
              - type
              - count
              - orderItemId
              - id
              - category
              - name
              - modifiers
              - price
              - laundryType
            type: object
          type: array
        canCancel:
          type: boolean
        isTaxable:
          type: boolean
        totalPaid:
          type: number
          format: float
        membershipBenefitsAmount:
          type: number
          format: float
        invoiceCode:
          type: string
        promotions:
          items:
            type: string
          type: array
        taxAmountInCents:
          type: number
          format: float
        tipOption:
          type: string
          nullable: true
        returnDeliveryTip:
          type: number
          format: float
        returnDeliveryFee:
          type: number
          format: float
        pickupDeliveryTip:
          type: number
          format: float
        pickupDeliveryFee:
          type: number
          format: float
        recurringDiscountInCents:
          type: number
          format: float
        orderCodeWithPrefix:
          type: string
        orderCode:
          type: string
        missedPickupFee:
          type: number
          format: float
        hasDryCleaning:
          type: boolean
        returnMethod:
          type: string
          enum:
            - IN_STORE_PICKUP
            - DELIVERY
            - null
          nullable: true
        creditAmount:
          type: number
          format: float
          nullable: true
        tipAmount:
          type: number
          format: float
          nullable: true
        netOrderTotal:
          type: number
          format: float
        orderTotal:
          type: number
          format: float
        paymentStatus:
          allOf:
            - $ref: '#/components/schemas/paymentStatuses'
          nullable: true
        dueDate:
          anyOf:
            - type: string
            - type: string
              format: date-time
          nullable: true
        intakeAt:
          anyOf:
            - type: string
            - type: string
              format: date-time
          nullable: true
        createdAt:
          anyOf:
            - type: string
            - type: string
              format: date-time
        status:
          type: string
          enum:
            - READY_FOR_PROCESSING
            - PROCESSING
            - READY_FOR_PICKUP
            - READY_FOR_DRIVER_PICKUP
            - EN_ROUTE_TO_CUSTOMER
            - COMPLETED
            - CANCELLED
            - IN_TRANSIT_TO_STORE
            - SUBMITTED
            - DRIVER_PICKED_UP_FROM_CUSTOMER
            - DROPPED_OFF_AT_STORE
            - READY_FOR_INTAKE
            - IN_TRANSIT_TO_HUB
            - DROPPED_OFF_AT_HUB
            - DESIGNATED_FOR_PROCESSING_AT_HUB
            - RECEIVED_AT_HUB_FOR_PROCESSING
            - HUB_PROCESSING_COMPLETE
            - HUB_PROCESSING_ORDER
        balanceDue:
          type: number
          format: float
        id:
          type: number
          format: float
        customerNotes:
          $ref: '#/components/schemas/CustomerPreferencesNotes'
      required:
        - deliveries
        - payment
        - services
        - canCancel
        - isTaxable
        - totalPaid
        - membershipBenefitsAmount
        - promotions
        - taxAmountInCents
        - tipOption
        - paymentTiming
        - returnDeliveryTip
        - returnDeliveryFee
        - pickupDeliveryTip
        - pickupDeliveryFee
        - orderType
        - recurringDiscountInCents
        - orderCodeWithPrefix
        - orderCode
        - missedPickupFee
        - hasDryCleaning
        - returnMethod
        - creditAmount
        - tipAmount
        - netOrderTotal
        - orderTotal
        - paymentStatus
        - dueDate
        - intakeAt
        - createdAt
        - status
        - balanceDue
        - id
        - customerNotes
      type: object
    paymentStatuses:
      type: string
      enum:
        - PAID
        - BALANCE_DUE
        - PENDING
        - INVOICING
        - INVOICED
        - INVOICE_PAID
    CustomerPreferencesNotes:
      properties:
        notes:
          type: string
          nullable: true
        isHangDrySelected:
          type: boolean
        hangDryInstructions:
          type: string
          nullable: true
      required:
        - notes
        - isHangDrySelected
        - hangDryInstructions
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````